Subject: CVS commit: pkgsrc/fonts
From: Mark Davies
Date: 2019-05-07 14:28:42
Message id: 20190507122842.7D590FB16@cvs.NetBSD.org

Log Message:
tex-luaotfload{,-doc}: update to 2.96

2.95
In contradiction to the last announcement this version of the fontloader
is still compatible with luatex 1.07. So updates will continue. This
version syncs the files with the ConTeXt files from 2019-01-28. It
improves the handling of the lucida fonts - the demi font is now used as
bold. The resolver code has been cleaned up a bit.

2.96
- In version 2.95 letterspacing was broken due to a change in the
fontloader. In version 2.96 this is now repaired. At the same time a
number of long-standing oddities and bugs in the letterspacing has been
corrected. This can change the output of existing documents!! See the
documentation for more information and ways to restore the old behaviour,

- A problem with the detection of bold fonts has been corrected (issue 41,
pull request 42).

- The fontloader has been synced with the context files from 2019-02-14.

Files:
RevisionActionfile
1.8modifypkgsrc/fonts/tex-luaotfload-doc/distinfo
1.7modifypkgsrc/fonts/tex-luaotfload-doc/Makefile
1.8modifypkgsrc/fonts/tex-luaotfload/distinfo
1.7modifypkgsrc/fonts/tex-luaotfload/PLIST
1.7modifypkgsrc/fonts/tex-luaotfload/Makefile